Put Encryption Key
PUT
/users/{user_id}/encryption-key
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/encryption-key';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"kdf_params":{},"kdf_salt":"example","verifier":"example","wrapped_dek":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/encryption-key \ --header 'Content-Type: application/json' \ --data '{ "kdf_params": {}, "kdf_salt": "example", "verifier": "example", "wrapped_dek": "example" }'Store (or replace) the user’s wrapped key material. The server never unwraps it.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
EncryptionKeyPut
object
kdf_params
Kdf Params
object
key
additional properties
any
kdf_salt
required
Kdf Salt
string
verifier
required
Verifier
string
wrapped_dek
required
Wrapped Dek
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
EncryptionKeyRead
object
kdf_params
required
Kdf Params
object
key
additional properties
any
kdf_salt
required
Kdf Salt
string
verifier
required
Verifier
string
wrapped_dek
required
Wrapped Dek
string
Examplegenerated
{ "kdf_params": {}, "kdf_salt": "example", "verifier": "example", "wrapped_dek": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}